N3MAP-NSEC3-LOOKUP(1)

NAME
n3map-nsec3-lookup - lookup NSEC3 records from a file

SYNOPSIS
n3map-nsec3-lookup file [-o outfile] [-z zone] [-v]

DESCRIPTION
n3map-nsec3-lookup first loads an NSEC3 chain from the specified file. Then, every domain name read from standard input is hashed and an NSEC3 record whose hashed owner name matches the hash is searched. If a record is found, the cleartext domain name and the coresponding record is written to standard output.

  Options

-o outfile
    Write the found records to outfile instead of standard output.

-z zone
    If this option is used, every domain name read from standard input is interpreted relative to zone.

-v  Be more verbose.

NOTES
This tool could also be used to crack NSEC3 records by passing guesses for domain names to standard input. However, this is not recommended since it is in no way optimised for performance. If you want to crack NSEC3 records, you should use a tool more suitable to do the job, e.g. john(8) or hashcat.

EXAMPLES

Read NSEC3 records from records.nsec3 read domain names relative to example.com from standard input:

    $ n3map-nsec3-lookup records.nsec3 -z example.com

Read cleartext fully-qualified domain names from names and write all found NSEC3 records to out.

    $ n3map-nsec3-lookup records.nsec3 -o out < names

SEE ALSO
n3map(1), n3map-hashcatify(1), n3map-johnify(1), john(8)

BUGS

lot's of em.

It may use a huge amount of memory depending on the number of NSEC3 records.

Reading large lists of records is slow.